Skip to main content
POST
Instantiate Taxonomy Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Body

application/json

Request to instantiate a taxonomy from a template.

taxonomy_name
string
required

Name for the new taxonomy

Required string length: 1 - 100
collection_config
Collection Config · object
required

Collection configuration for the taxonomy. For flat taxonomies: {'collection_id': 'col_xxx'} For hierarchical taxonomies: maps node collection IDs to actual collection IDs, e.g., {'col_template_root': 'col_actual_root', 'col_template_child': 'col_actual_child'}

description
string | null

Optional description override for the taxonomy

Maximum string length: 1000

Response

Successful Response

Response after instantiating a taxonomy template.

taxonomy_id
string
required

ID of the created taxonomy

taxonomy_name
string
required

Name of the created taxonomy

template_id
string
required

ID of the template used

status
string
default:created

Status of the instantiation

created_at
string<date-time>

Timestamp when taxonomy was created